/**
 * zhengjianli
 * @param {Object} $
 * @param {Object} owner
 */
(function($,owner){
	/**
	 * 第三方登录判断有无 绑定
	 * @param {Object} parameObj
	 */
	owner.bindingback = function(parameObj){
	
	// 1、已绑定过账号跳过直接登录 2、未绑定账号进入绑定页面
	// 获取参数及签名
//		var headimg = parameObj.headimg
		var parameData = getParameSign(parameObj);
		
		mui.ajax(web_api_url+'/Userregister/bindingback', {
			data:parameData,
			dataType:'json',		//服务器返回json格式数据
			type:'post',			//HTTP请求类型
			timeout:	10000,		//超时时间设置为10秒；
			beforeSend: function() {
				plus.nativeUI.showWaiting();
			},
			complete: function() {
				plus.nativeUI.closeWaiting();
			},
			success:function(data){
				var imgsrc = data.data.headimg;
				plus.storage.setItem('headimg',imgsrc)
				if(data.err_no == 0 && data.data.states == 1){
					// 已绑定 直接登录 记录用户数据
					setStorageUser(data.data.username, data.data.userid, data.data.token);
					
					if(data.data.userstate == 1){	
					mui.openWindow({
						id: 'message_index.html',
						url: '../message_index.html',
						show:{
					      autoShow:true
					 }
					}) 
				}else{
					plus.webview.create('member_setinfo.html')
				}
					return false;
				}else if(data.err_no == 0 && data.data.states == 2){
					// 进入绑定页面
					plus.nativeUI.showWaiting();
					plus.webview.create(
						'member_dsfReg.html',
						'member_dsfReg.html',
						{},
						{
							openid: parameData.openid, 
							oauthsType: parameData.oauthsType,
							nickname: parameData.nickname,
							headimg: parameData.headimg,
						}
					);
				}else{
					mui.toast(data.err_msg);
					plus.nativeUI.closeWaiting();
					return false;
				}
			},
			error:function(xhr,type,errorThrown){
				mui.toast("网络错误,请稍后重试！");
				//异常处理；
				console.log(xhr.status+' - '+xhr.readyState);
			}	
		});
	}
    /**
     * hasClass:验证当前元素中是否包含className这个样式类名
     * @param {Object} curEle
     * @param {Object} className
     */
    owner.hasClass = function(curEle, className) {
        var reg = new RegExp("(^| +)" + className + "( +|$)");
        return reg.test(curEle.className);
    }

 
    /**
     * addClass:给元素增加样式类名
     * @param {Object} curEle
     * @param {Object} className
     */
   owner.addClass = function(curEle, className) {
        var ary = className.replace(/(^ +| +$)/g, "").split(/ +/g);
        for (var i = 0, len = ary.length; i < len; i++) {
            var curName = ary[i];
            if (!this.hasClass(curEle, curName)) {
                curEle.className += " " + curName;
            }
        }
   }
    /**
     * removeClass:给元素移除样式类名
     * @param {Object} curEle
     * @param {Object} className
     */
    owner.removeClass = function (curEle, className) {
        var ary = className.replace(/(^ +| +$)/g, "").split(/ +/g);
        for (var i = 0, len = ary.length; i < len; i++) {
            var curName = ary[i];
            if (this.hasClass(curEle, curName)) {
                var reg = new RegExp("(^| +)" + curName + "( +|$)", "g");
                curEle.className = curEle.className.replace(reg, " ");
            }
        }
    }
   /**
    * Mymessage 显示我的消息数
    * @param {Object} parameData
    */
    owner.Mymessage = function(parameData){ 
    	var parameData = getParameSign({})
    	mui.ajax(web_api_url+'/my/index', {
    		data:parameData,
			dataType:'json',		//服务器返回json格式数据
			type:'post',			//HTTP请求类型
			timeout:	10000,		//超时时间设置为10秒；
			beforeSend: function() {
				plus.nativeUI.showWaiting();
			},
			complete: function() {
				plus.nativeUI.closeWaiting();
			},
			success:function(data){
				var dis_count = data.data.dis_count;
				var praise_count = data.data.praise_count;
				var reply_flag = data.data.reply_last;
				var myPl = document.getElementById('myPl');
				var myDz = document.getElementById('myDz')
				var member_comment = document.getElementById('member_comment');
				var member_praise = document.getElementById('member_praise');
				//我收到的评论
				if(dis_count == 0){
					myPl.style.display = 'none';
					owner.addClass(member_comment,'mui-navigate-right');
				}else if(dis_count < 10){
					myPl.style.display = 'block';
					myPl.innerHTML = dis_count;
					owner.removeClass(member_comment,'mui-navigate-right');
				}else if(dis_count >=10 || dis_count<=99){
					myPl.style.display = 'block';
					myPl.innerHTML = dis_count;
					owner.addClass(myPl,'bg');
					owner.removeClass(member_comment,'mui-navigate-right');
				}
				//我收到的赞
				if(praise_count == 0){
					myDz.style.display = 'none';
					owner.addClass(member_praise,'mui-navigate-right');
				}else if(praise_count < 10){
					myDz.style.display = 'block';
					myDz.innerHTML = praise_count;
					owner.removeClass(member_praise,'mui-navigate-right');
				}else if(praise_count >=10 || praise_count<=99){
					myDz.style.display = 'block';
					owner.addClass(myDz,'bg');
					myDz.innerHTML = dis_count;
					owner.removeClass(member_praise,'mui-navigate-right');
				}
				//思博君
				if(reply_flag.length == 0){
					sbj.style.display = 'none'
				}else{
					var content = data.data.reply_last.reply_content;
					if(content.length>20){
						content = content.substring(0,20)+'...'
					}
					document.getElementById('myContent').innerHTML = content;
					if(data.data.reply_count == 0){
						document.getElementById('myTotal').style.display = 'none'
					}else{
						document.getElementById('myTotal').style.display = 'block'
						document.getElementById('myTotal').innerHTML = data.data.reply_count;
					}
					document.getElementById('myTime').innerHTML = data.data.reply_last.time_tag;
					sbj.style.display = 'block';	
				}
				
			},
			error:function(xhr,type,errorThrown){
				mui.toast("网络错误,请稍后重试！");
				//异常处理；
				console.log(xhr.status+' - '+xhr.readyState);
			}	
		});
	}
     //->prev:获取上一个哥哥元素节点
    //->首先获取当前元素的上一个哥哥节点,判断是否为元素节点,不是的话基于当前的继续找上面的哥哥节点...一直到找到哥哥元素节点为止,如果没有哥哥元素节点,返回null即可
    owner.prev = function (curEle) {
        var pre = curEle.previousSibling;
        while (pre && pre.nodeType !== 1) {
            pre = pre.previousSibling;
        }
        return pre;
    }

    //->next:获取下一个弟弟元素节点
    owner.next = function (curEle) {
        var nex = curEle.nextSibling;
        while (nex && nex.nodeType !== 1) {
            nex = nex.nextSibling;
        }
        return nex;
    }
     //->prevAll:获取所有的哥哥元素节点
    owner.prevAll = function (curEle) {
        var ary = [];
        var pre = this.prev(curEle);
        while (pre) {
            ary.unshift(pre);
            pre = this.prev(pre);
        }
        return ary;
    }

    //->nextAll:获取所有的弟弟元素节点
    owner.nextAll = function (curEle) {
        var ary = [];
        var nex = this.next(curEle);
        while (nex) {
            ary.push(nex);
            nex = this.next(nex);
        }
        return ary;
    }
    //->siblings:获取所有的兄弟元素节点
    owner.siblings = function(curEle) {
        return this.prevAll(curEle).concat(this.nextAll(curEle));
    }
    //->getCss:获取元素的样式值
    owner.getCss = function (attr) {
        var val = null, reg = null;
        if (flag) {
            val = window.getComputedStyle(this, null)[attr];
        } else {
            if (attr === "opacity") {
                val = this.currentStyle["filter"];
                reg = /^alpha\(opacity=(\d+(?:\.\d+)?)\)$/;
                val = reg.test(val) ? reg.exec(val)[1] / 100 : 1;
            } else {
                val = this.currentStyle[attr];
            }
        }
        reg = /^(-?\d+(\.\d+)?)(px|pt|em|rem)?$/;
        return reg.test(val) ? parseFloat(val) : val;
    }

    //->setCss:给当前元素的某一个样式属性设置值(增加在行内样式上的)
   owner.setCss = function (attr, value) {
        if (attr === "float") {
            this["style"]["cssFloat"] = value;
            this["style"]["styleFloat"] = value;
            return;
        }
        if (attr === "opacity") {
            this["style"]["opacity"] = value;
            this["style"]["filter"] = "alpha(opacity=" + value * 100 + ")";
            return;
        }
        var reg = /^(width|height|top|bottom|left|right|((margin|padding)(Top|Bottom|Left|Right)?))$/;
        if (reg.test(attr)) {
            if (!isNaN(value)) {
                value += "px";
            }
        }
        this["style"][attr] = value;
    }

    //->setGroupCss:给当前元素批量的设置样式属性值
   owner.setGroupCss = function (options) {
        for (var key in options) {
            if (options.hasOwnProperty(key)) {
                owner.setCss.call(this, key, options[key]);
            }
        }
    }

    //->css:此方法实现了获取、单独设置、批量设置元素的样式值
   owner.css = function (curEle) {
        var argTwo = arguments[1], ary = Array.prototype.slice.call(arguments, 1);
        if (typeof argTwo === "string") {
            if (!arguments[2]) {
                return this.getCss.apply(curEle, ary);
            }
            this.setCss.apply(curEle, ary);
        }
        argTwo = argTwo || 0;
        if (argTwo.toString() === "[object Object]") {
            this.setGroupCss.apply(curEle, ary);
        }
    }
   /**
	  * 手机找回密码
	  * @param {Object} parameObj
	  * @param {Object} callback
	  */
	 owner.resetPass = function(parameObj,callback){
	 	callback = callback ||$.noop;
	 	var parameData = getParameSign(parameObj);
	 	console.log(JSON.stringify(parameData))
	 	mui.ajax(web_api_url+'/Userinfo/resetPass', {
			data:parameData,
			dataType:'json',		//服务器返回json格式数据
			type:'post',			//HTTP请求类型
			timeout:	10000,		//超时时间设置为10秒；	              
			success:function(data){
				if(data.err_no == 0){
					// 进入绑定页面 
					mui.toast('找回密码成功！');
					callback()
					return false;
				}else{
					mui.toast(data.err_msg);
					return false;
				}
			},
			error:function(xhr,type,errorThrown){
				mui.toast("网络错误,请稍后重试！");
				//异常处理；
				console.log(xhr.status+' - '+xhr.readyState);
			}	
		});
	 }
	 /* *
	 * 验证码
	 * */
	owner.countDown = function (dom, time) {
		if (time <= 0) {
			dom.removeAttribute('disabled');
			dom.innerHTML = '重新获取验证码';
		} else {
			time = time ? time : 60
			time--
			dom.innerHTML = '重发验证码(' + time + 's)';
			setTimeout(function () {
				owner. 
				countDown(dom, time)
			}, 1000)
		}
	}
	 /**
	 * 邮箱找回密码验证
	 * @param {Object} objthis
	 * @param {Object} parameObj
	 */
	owner.sendEmail = function(objthis, parameObj){
		objthis.setAttribute('disabled', 'disabled');
		// 获取参数及签名
		var parameData = getParameSign(parameObj);
		mui.ajax(web_api_url+'/Service/sendEmailCode', {
			data:parameData,
			dataType:'json',		//服务器返回json格式数据
			type:'post',			//HTTP请求类型
			timeout:	10000,		//超时时间设置为10秒；	              
			success:function(data){
				console.log('asd',JSON.stringify(data));
				if(data.err_no == 0){
					owner.countDown(objthis, 5);
					mui.toast("发送成功");
					return false;
				}else{
					console.log(JSON.stringify(data))
					mui.toast(data.err_msg);
					objthis.removeAttribute('disabled');
					return false;
				}
			},
			error:function(xhr,type,errorThrown){
				mui.toast("网络错误,请稍后重试！");
				//异常处理；
				console.log(xhr.status+' - '+xhr.readyState);
			}	
		});
	}
	/* *
	 * 校验验证码与手机号是否一致
	 * */ 
	owner.verifyCodeFun =function (objthis, parameObj,callback){
		// 获取参数及签 名
		callback = callback ||$.noop;
		var parameData = getParameSign(parameObj);
		mui.ajax(web_api_url+'/Userregister/verifyMobileCode', {
			data:parameData,
			dataType:'json',		//服务器返回json格式数据
			type:'post',			//HTTP请求类型
			timeout:	10000,		//超时时间设置为10秒；	              
			success:function(data){
				objthis.removeAttribute('disabled');
				if(data.err_no == 0){
					
						callback();
					return ;
				}else{
					mui.toast(data.err_msg);
					return false;
				}
			},
			error:function(xhr,type,errorThrown){
				mui.toast("网络错误,请稍后重试！");
				//异常处理；
				console.log(xhr.status+' - '+xhr.readyState);
			}	
		});
	}
	/**
	 * 校验验证码与邮箱是否一致
	 * @param {Object} objthis
	 * @param {Object} parameObj
	 * @param {Object} callback
	 */
	owner.verifyEmailCode =function (objthis, parameObj,callback){
		// 获取参数及签 名
		callback = callback ||$.noop;
		var parameData = getParameSign(parameObj);
		mui.ajax(web_api_url+'/Userregister/verifyEmailCode', {
			data:parameData,
			dataType:'json',		//服务器返回json格式数据
			type:'post',			//HTTP请求类型
			timeout:	10000,		//超时时间设置为10秒；	              
			success:function(data){
				objthis.removeAttribute('disabled');
				if(data.err_no == 0){
					
						callback();
					return ;
				}else{
					mui.toast(data.err_msg);
					return false;
				}
			},
			error:function(xhr,type,errorThrown){
				mui.toast("网络错误,请稍后重试！");
				//异常处理；
				console.log(xhr.status+' - '+xhr.readyState);
			}	
		});
	}
	/**
	 * 回到登录
	 */
	owner.reLogin = function (){
		
		plus.webview.open('member_login.html','member_login.html','slide-in-right');
	}
	/* *
	 *验证邮箱
	 * */
	owner.checkEmail = function(email) {
		email = email || '';
		return (email.length > 3 && email.indexOf('@') > -1);
	};
}(mui, window.app = {}))
