var beecloud = {};
var channels = null;

beecloud.payReq = function(data, cbsuccess, cberror) {
	doPay(data, cbsuccess, cberror);
};

mui.plusReady(function() {
	// 获取客户端支持的所有支付通道
	var support_channel = ['alipay', 'wxpay']; 
	plus.payment.getChannels(function(s) {
		var oauthArea = document.querySelector('.oauth-area');
		for (var i = 0; i < s.length; i++) {
			if(s[i].serviceReady){
				if(~support_channel.indexOf(s[i].id)){
					console.log("支持的支付方式："+JSON.stringify(s[i]));
				}
			}
		}
		channels = s;
	}, function(e) {
		console.log("获取支付渠道信权限失败:" + e.message);
	});
});

/**
 * 获取支付通道
 * 
 */
function getPayChannel(bc_channel) {
	var dc_channel_id = '';
	switch (bc_channel) {
		case 1:
			dc_channel_id = 'wxpay';
			break;
		case 2:
			dc_channel_id = 'alipay';
			break;
		default:
			break;
	} 

	for (var i in channels) {
		if (channels[i].id == dc_channel_id) {
			return channels[i];
		}
	}
	return null;
}

function doPay(parameObj, cbsuccess, cberror) {

	var parameData = getParameSign(parameObj);
	var api_url = web_api_url + '/pay/unifiedorder';
	mui.ajax(api_url, {
		data: parameData,
		type: 'post',
		dataType: 'json',
		success: function(data) {
			var paySrc = '';
			if (data.err_no == 0) {
				// 校验客户端是否支持当前支付方式
				var payChannel = getPayChannel(parameObj.order_channel);
				if (!payChannel) {
					mui.toast("支付失败，请重新支付！");
					return false;
				}
				// 组合参数
				if (payChannel.id === 'alipay') {
					// 支付宝 alipay
					// paySrc = data.order_string;
				} else if (payChannel.id === 'wxpay') {
					// 微信 wxpay
					var statement = {};
					statement.appid = data.data.appid;
					statement.noncestr = data.data.noncestr;
					statement.package = data.data.package;
					statement.partnerid = data.data.partnerid;
					statement.prepayid = data.data.prepayid;
					statement.timestamp = parseInt(data.data.timestamp);
					statement.sign = data.data.sign;
					paySrc = JSON.stringify(statement);
				}
				plus.payment.request(payChannel, paySrc, cbsuccess, cberror);
				
			} else {
				mui.toast("支付失败");return false;
			}
		},
		error: function(xhr, errorType, error) {
			mui.toast("error：支付失败");return false;
		}
	});
}